/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.test;

import javax.management.Attribute;
import javax.management.ObjectName;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.jboss.test.JBossTestCase;
import org.jboss.test.JBossTestServices;

/**
 * @author <a href="mailto:adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.2 $
 */

public class ObservableUnitTestCase 
   extends JBossTestCase 
{
   public ObservableUnitTestCase(String name)
   {
      super(name);
   }

   public void testAll() throws Exception
   {
      ObjectName testerName = new ObjectName("jboss.aop:name=ObservableTester");
      getServer().invoke(testerName, "testAll", new Object[0], new String[0]);
   }
   
   public static Test suite() throws Exception
   {
      TestSuite suite = new TestSuite();
      suite.addTest(new TestSuite(ObservableUnitTestCase.class));

      AOPTestSetup setup = new AOPTestSetup(suite, "aoptest.sar");
      return setup; 
   }
}
